/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/9.0.44
 * Generated at: 2021-04-07 00:06:30 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp.jsp;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import com.carlos.fernandez.util.Configuration;

public final class cliente_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  static {
    _jspx_dependants = new java.util.HashMap<java.lang.String,java.lang.Long>(2);
    _jspx_dependants.put("jar:file:/C:/apache-tomcat-9.0.44/webapps/CRUD/WEB-INF/lib/jstl-1.2.jar!/META-INF/c.tld", Long.valueOf(1153403082000L));
    _jspx_dependants.put("/WEB-INF/lib/jstl-1.2.jar", Long.valueOf(1364174096000L));
  }

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = new java.util.HashSet<>();
    _jspx_imports_classes.add("com.carlos.fernandez.util.Configuration");
  }

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    if (_el_expressionfactory == null) {
      synchronized (this) {
        if (_el_expressionfactory == null) {
          _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
        }
      }
    }
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    if (_jsp_instancemanager == null) {
      synchronized (this) {
        if (_jsp_instancemanager == null) {
          _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(getServletConfig());
        }
      }
    }
    return _jsp_instancemanager;
  }

  public void _jspInit() {
  }

  public void _jspDestroy() {
  }

  public void _jspService(final javax.servlet.http.HttpServletRequest request, final javax.servlet.http.HttpServletResponse response)
      throws java.io.IOException, javax.servlet.ServletException {

    if (!javax.servlet.DispatcherType.ERROR.equals(request.getDispatcherType())) {
      final java.lang.String _jspx_method = request.getMethod();
      if ("OPTIONS".equals(_jspx_method)) {
        response.setHeader("Allow","GET, HEAD, POST, OPTIONS");
        return;
      }
      if (!"GET".equals(_jspx_method) && !"POST".equals(_jspx_method) && !"HEAD".equals(_jspx_method)) {
        response.setHeader("Allow","GET, HEAD, POST, OPTIONS");
        response.sendError(HttpServletResponse.SC_METHOD_NOT_ALLOWED, "JSPs only permit GET, POST or HEAD. Jasper also permits OPTIONS");
        return;
      }
    }

    final javax.servlet.jsp.PageContext pageContext;
    javax.servlet.http.HttpSession session = null;
    final javax.servlet.ServletContext application;
    final javax.servlet.ServletConfig config;
    javax.servlet.jsp.JspWriter out = null;
    final java.lang.Object page = this;
    javax.servlet.jsp.JspWriter _jspx_out = null;
    javax.servlet.jsp.PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html; charset=utf-8");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("<!DOCTYPE>\r\n");
      out.write("<html>\r\n");
      out.write("<head>\r\n");
      out.write("<meta charset=\"UTF-8\">\r\n");
      out.write("<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\r\n");
      out.write("<meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">\r\n");
      out.write("<meta name=\"robots\" content=\"noindex, nofollow\">\r\n");
      out.write("<!-- Hojas de Estilos-->\r\n");
      out.write("<!-- bootstrap-4.2.1 CSS -->\r\n");
      out.write("<link rel=\"stylesheet\" type=\"text/css\"\r\n");
      out.write("\thref=\"libraries/bootstrap-4.2.1/css/bootstrap.min.css\">\r\n");
      out.write("\r\n");
      out.write("<!-- bootstrap-table-1.15.5 CSS -->\r\n");
      out.write("<link rel=\"stylesheet\" type=\"text/css\"\r\n");
      out.write("\thref=\"libraries/bootstrap-table-1.15.5/dist/extensions/group-by-v2/bootstrap-table-group-by.min.css\">\r\n");
      out.write("<link rel=\"stylesheet\" type=\"text/css\"\r\n");
      out.write("\thref=\"libraries/bootstrap-table-1.15.5/dist/bootstrap-table.min.css\">\r\n");
      out.write("<title>CLIENTE</title>\r\n");
      out.write("</head>\r\n");
      out.write("<body>\r\n");
      out.write("\t<div class=\"container\">\r\n");
      out.write("\t\t<input type=\"hidden\" id=\"csrfPreventionSalt\" name=\"csrfPreventionSalt\"\r\n");
      out.write("\t\t\tvalue=\"");
      out.write((java.lang.String) org.apache.jasper.runtime.PageContextImpl.proprietaryEvaluate("${csrfPreventionSalt}", java.lang.String.class, (javax.servlet.jsp.PageContext)_jspx_page_context, null));
      out.write("\" />\r\n");
      out.write("\t\t");
      org.apache.jasper.runtime.JspRuntimeLibrary.include(request, response, Configuration.JSP_MENU, out, false);
      out.write("\r\n");
      out.write("\t\t<div class=\"row\">\r\n");
      out.write("\t\t\t<div class=\"col-12 text-center\">\r\n");
      out.write("\r\n");
      out.write("\t\t\t\t<table id=\"tbCliente\" data-toggle=\"table\" data-toolbar=\"#toolbar\"\r\n");
      out.write("\t\t\t\t\tdata-height=\"460\" data-ajax=\"ajaxClientes\">\r\n");
      out.write("\t\t\t\t\t<thead>\r\n");
      out.write("\t\t\t\t\t\t<tr>\r\n");
      out.write("\t\t\t\t\t\t\t<th data-field=\"id\" data-visible=\"false\">ID</th>\r\n");
      out.write("\t\t\t\t\t\t\t<th data-field=\"nombres\">Nombres</th>\r\n");
      out.write("\t\t\t\t\t\t\t<th data-field=\"apellidos\">Apellidos</th>\r\n");
      out.write("\t\t\t\t\t\t\t<th data-field=\"edad\">Edad</th>\r\n");
      out.write("\t\t\t\t\t\t\t<th data-field=\"editar\" data-formatter=\"operateFormatterEditar\"\r\n");
      out.write("\t\t\t\t\t\t\t\tdata-events=\"operateEventsEditar\"></th>\r\n");
      out.write("\t\t\t\t\t\t\t<th data-field=\"eliminar\"\r\n");
      out.write("\t\t\t\t\t\t\t\tdata-formatter=\"operateFormatterEliminar\"\r\n");
      out.write("\t\t\t\t\t\t\t\tdata-events=\"operateEventsEliminar\"></th>\r\n");
      out.write("\t\t\t\t\t\t</tr>\r\n");
      out.write("\t\t\t\t\t</thead>\r\n");
      out.write("\t\t\t\t</table>\r\n");
      out.write("\t\t\t\t<button class=\"btn btn-sm btn-success\" id=\"btnNuevo\">Nuevo</button>\r\n");
      out.write("\t\t\t</div>\r\n");
      out.write("\t\t</div>\r\n");
      out.write("\t</div>\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\t<div id=\"modVis\" funcion=\"\" class=\"modal fade\" tabindex=\"-1\"\r\n");
      out.write("\t\trole=\"dialog\" aria-labelledby=\"modVis\" aria-hidden=\"true\">\r\n");
      out.write("\t\t<div class=\"modal-dialog modal-dialog-centered\" role=\"document\">\r\n");
      out.write("\t\t\t<div class=\"modal-content\">\r\n");
      out.write("\t\t\t\t<form role=\"form\" action=\"#\">\r\n");
      out.write("\t\t\t\t\t<div class=\"modal-body pb-0\">\r\n");
      out.write("\r\n");
      out.write("\t\t\t\t\t\t<div class=\"row mt-1\">\r\n");
      out.write("\t\t\t\t\t\t\t<input type=\"hidden\" class=\"form-control form-control-sm\"\r\n");
      out.write("\t\t\t\t\t\t\t\tid=\"txtId\" name=\"txtId\" /> <label for=\"txtNombres\"\r\n");
      out.write("\t\t\t\t\t\t\t\tclass=\"col-12 col-sm-3 col-form-label form-control-sm\">Nombres:</label>\r\n");
      out.write("\t\t\t\t\t\t\t<div class=\"col-12 col-sm-5\">\r\n");
      out.write("\t\t\t\t\t\t\t\t<input type=\"text\" class=\"form-control form-control-sm\"\r\n");
      out.write("\t\t\t\t\t\t\t\t\tid=\"txtNombres\" name=\"txtNombres\" required />\r\n");
      out.write("\t\t\t\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t\t\t<div class=\"row mt-1\">\r\n");
      out.write("\t\t\t\t\t\t\t<label for=\"txtApellidos\"\r\n");
      out.write("\t\t\t\t\t\t\t\tclass=\"col-12 col-sm-3 col-form-label form-control-sm\">Apellidos:</label>\r\n");
      out.write("\t\t\t\t\t\t\t<div class=\"col-12 col-sm-5\">\r\n");
      out.write("\t\t\t\t\t\t\t\t<input type=\"text\" class=\"form-control form-control-sm\"\r\n");
      out.write("\t\t\t\t\t\t\t\t\tid=\"txtApellidos\" name=\"txtApellidos\" required />\r\n");
      out.write("\t\t\t\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t\t\t<div class=\"row mt-1\">\r\n");
      out.write("\t\t\t\t\t\t\t<label for=\"txtApellidos\"\r\n");
      out.write("\t\t\t\t\t\t\t\tclass=\"col-12 col-sm-3 col-form-label form-control-sm\">Edad:</label>\r\n");
      out.write("\t\t\t\t\t\t\t<div class=\"col-12 col-sm-5\">\r\n");
      out.write("\t\t\t\t\t\t\t\t<input type=\"text\" class=\"form-control form-control-sm\"\r\n");
      out.write("\t\t\t\t\t\t\t\t\tid=\"txtEdad\" id=\"txtEdad\">\r\n");
      out.write("\t\t\t\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t\t\t</div>\r\n");
      out.write("\r\n");
      out.write("\t\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t\t<div class=\"modal-footer p-2\">\r\n");
      out.write("\t\t\t\t\t\t<button type=\"button\" id=\"btnGuardarCliente\"\r\n");
      out.write("\t\t\t\t\t\t\tclass=\"btn w-25 btn-primary\">Guardar</button>\r\n");
      out.write("\t\t\t\t\t\t<button type=\"button\" class=\"btn w-25 btn-secondary\"\r\n");
      out.write("\t\t\t\t\t\t\tdata-dismiss=\"modal\">Cancelar</button>\r\n");
      out.write("\t\t\t\t\t</div>\r\n");
      out.write("\t\t\t\t</form>\r\n");
      out.write("\t\t\t</div>\r\n");
      out.write("\t\t</div>\r\n");
      out.write("\t</div>\r\n");
      out.write("\r\n");
      out.write("\r\n");
      out.write("\t<!-- jquery-3.5.1 JS-->\r\n");
      out.write("\t<script type=\"text/javascript\" charset=\"UTF-8\"\r\n");
      out.write("\t\tsrc=\"libraries/jquery-3.5.1/jquery.min.js\"></script>\r\n");
      out.write("\t<!-- bootstrap-4.2.1 JS  -->\r\n");
      out.write("\t<script type=\"text/javascript\" charset=\"UTF-8\"\r\n");
      out.write("\t\tsrc=\"libraries/bootstrap-4.2.1/js/bootstrap.min.js\"></script>\r\n");
      out.write("\t<!-- bootstrap-table-1.15.5 JS -->\r\n");
      out.write("\t<script type=\"text/javascript\" charset=\"UTF-8\"\r\n");
      out.write("\t\tsrc=\"libraries/bootstrap-table-1.15.5/dist/bootstrap-table.min.js\"></script>\r\n");
      out.write("\t<script type=\"text/javascript\" charset=\"UTF-8\"\r\n");
      out.write("\t\tsrc=\"libraries/bootstrap-table-1.15.5/dist/locale/bootstrap-table-es-ES.js\"></script>\r\n");
      out.write("\t<script type=\"text/javascript\" charset=\"UTF-8\"\r\n");
      out.write("\t\tsrc=\"libraries/bootstrap-table-1.15.5/dist/extensions/group-by-v2/bootstrap-table-group-by.min.js\"></script>\r\n");
      out.write("\r\n");
      out.write("\t<script>\r\n");
      out.write("\t\t$(document).ready(function() {\r\n");
      out.write("\r\n");
      out.write("\t\t\t$('#btnNuevo').click(function() {\r\n");
      out.write("\t\t\t\tlimpiarFrmCliente();\r\n");
      out.write("\t\t\t\t$('#modVis').modal('show');\r\n");
      out.write("\t\t\t});\r\n");
      out.write("\r\n");
      out.write("\t\t\t$('#btnGuardarCliente').click(function() {\r\n");
      out.write("\t\t\t\tguardarCliente();\r\n");
      out.write("\t\t\t\treturn false;\r\n");
      out.write("\t\t\t});\r\n");
      out.write("\r\n");
      out.write("\t\t});\r\n");
      out.write("\r\n");
      out.write("\t\tvar sendData = function(url, postData, success, error, complete) {\r\n");
      out.write("\t\t\t$.ajax({\r\n");
      out.write("\t\t\t\turl : url,\r\n");
      out.write("\t\t\t\ttype : \"POST\",\r\n");
      out.write("\t\t\t\tdataType : \"json\",\r\n");
      out.write("\t\t\t\tdata : postData,\r\n");
      out.write("\t\t\t\tsuccess : success,\r\n");
      out.write("\t\t\t\terror : error,\r\n");
      out.write("\t\t\t\tcomplete : complete\r\n");
      out.write("\t\t\t});\r\n");
      out.write("\t\t};\r\n");
      out.write("\r\n");
      out.write("\t\tfunction ajaxClientes(params) {\r\n");
      out.write("\t\t\tvar url = window.location.href;\r\n");
      out.write("\t\t\tvar postRequest = new Object();\r\n");
      out.write("\t\t\tpostRequest.action = 'cargarClientes';\r\n");
      out.write("\t\t\tsendData(url, postRequest, function(result) {\r\n");
      out.write("\t\t\t\tparams.success(result);\r\n");
      out.write("\t\t\t\tif (result.codigoError != 0) {\r\n");
      out.write("\t\t\t\t\talert(result.mensajeUsuario);\r\n");
      out.write("\t\t\t\t\tparams.success(null);\r\n");
      out.write("\t\t\t\t}\r\n");
      out.write("\t\t\t}, function(error) {\r\n");
      out.write("\t\t\t\tconsole.log(error);\r\n");
      out.write("\t\t\t\tparams.success(null);\r\n");
      out.write("\t\t\t});\r\n");
      out.write("\r\n");
      out.write("\t\t}\r\n");
      out.write("\r\n");
      out.write("\t\tfunction guardarCliente() {\r\n");
      out.write("\t\t\tvar url = window.location.href;\r\n");
      out.write("\t\t\tvar postRequest = new Object();\r\n");
      out.write("\t\t\tpostRequest.action = 'guardarCliente';\r\n");
      out.write("\t\t\tpostRequest.id = $('#txtId').val();\r\n");
      out.write("\t\t\tpostRequest.nombres = $('#txtNombres').val();\r\n");
      out.write("\t\t\tpostRequest.apellidos = $('#txtApellidos').val();\r\n");
      out.write("\t\t\tpostRequest.edad = $('#txtEdad').val();\r\n");
      out.write("\t\t\tsendData(url, postRequest, function(result) {\r\n");
      out.write("\t\t\t\tif (result.codigoError == 0) {\r\n");
      out.write("\t\t\t\t\t$('#modVis').modal('hide');\r\n");
      out.write("\t\t\t\t\tlimpiarFrmCliente();\r\n");
      out.write("\t\t\t\t\tcargarTablaClientes();\t\t\r\n");
      out.write("\t\t\t\t\t\r\n");
      out.write("\t\t\t\t}\r\n");
      out.write("\t\t\t\talert(result.mensajeUsuario);\r\n");
      out.write("\r\n");
      out.write("\t\t\t}, function(error) {\r\n");
      out.write("\t\t\t\tconsole.log(error);\r\n");
      out.write("\t\t\t});\r\n");
      out.write("\t\t}\r\n");
      out.write("\t\tfunction limpiarFrmCliente() {\r\n");
      out.write("\t\t\t$('#txtNombres').val('');\r\n");
      out.write("\t\t\t$('#txtApellidos').val('');\r\n");
      out.write("\t\t\t$('#txtEdad').val('');\r\n");
      out.write("\t\t\t$('#txtId').val('');\r\n");
      out.write("\t\t}\r\n");
      out.write("\r\n");
      out.write("\t\tfunction eliminarCliente(id) {\r\n");
      out.write("\t\t\tvar url = window.location.href;\r\n");
      out.write("\t\t\tvar postRequest = new Object();\r\n");
      out.write("\t\t\tpostRequest.action = 'eliminarCliente';\r\n");
      out.write("\t\t\tpostRequest.id = id;\r\n");
      out.write("\t\t\tsendData(url, postRequest, function(result) {\r\n");
      out.write("\t\t\t\tif (result.codigoError == 0) {\r\n");
      out.write("\t\t\t\t\tcargarTablaClientes();\r\n");
      out.write("\t\t\t\t}\r\n");
      out.write("\t\t\t\talert(result.mensajeUsuario);\r\n");
      out.write("\r\n");
      out.write("\t\t\t}, function(error) {\r\n");
      out.write("\t\t\t\tconsole.log(error);\r\n");
      out.write("\t\t\t});\r\n");
      out.write("\t\t}\r\n");
      out.write("\r\n");
      out.write("\t\tfunction cargarTablaClientes() {\r\n");
      out.write("\t\t\tvar $tablaCliente = $(\"#tbCliente\");\r\n");
      out.write("\t\t\t$tablaCliente.bootstrapTable('removeAll');\r\n");
      out.write("\t\t\t$tablaCliente.bootstrapTable('destroy');\r\n");
      out.write("\t\t\t$tablaCliente.bootstrapTable();\r\n");
      out.write("\t\t}\r\n");
      out.write("\r\n");
      out.write("\t\tfunction operateFormatterEditar(value, row, index) {\r\n");
      out.write("\t\t\t\r\n");
      out.write("\r\n");
      out.write("\t\t\treturn [ '<button type=\"button\" class=\"btn btn-sm btn-primary update\" href=\"javascript:void(0)\" title=\"Editar\">Editar</button>' ]\r\n");
      out.write("\t\t\t\t\t.join('');\r\n");
      out.write("\r\n");
      out.write("\t\t}\r\n");
      out.write("\r\n");
      out.write("\t\tfunction operateFormatterEliminar(value, row, index) {\r\n");
      out.write("\t\t\treturn [ '<button type=\"button\" class=\"btn btn-sm btn-primary update\" href=\"javascript:void(0)\" title=\"Eliminar\">Eliminar</button>' ]\r\n");
      out.write("\t\t\t\t\t.join('');\r\n");
      out.write("\r\n");
      out.write("\t\t}\r\n");
      out.write("\r\n");
      out.write("\t\twindow.operateEventsEditar = {\r\n");
      out.write("\t\t\t'click .update' : function(e, value, row, index) {\r\n");
      out.write("\t\t\t\t\r\n");
      out.write("\t\t\t\t$('#txtId').val(row.id);\r\n");
      out.write("\t\t\t\t$('#txtNombres').val(row.nombres);\r\n");
      out.write("\t\t\t\t$('#txtApellidos').val(row.apellidos);\r\n");
      out.write("\t\t\t\t$('#txtEdad').val(row.edad);\r\n");
      out.write("\t\t\t\t$('#modVis').modal('show');\r\n");
      out.write("\r\n");
      out.write("\t\t\t}\r\n");
      out.write("\t\t}\r\n");
      out.write("\r\n");
      out.write("\t\twindow.operateEventsEliminar = {\r\n");
      out.write("\t\t\t'click .update' : function(e, value, row, index) {\r\n");
      out.write("\t\t\t\teliminarCliente(row.id);\r\n");
      out.write("\t\t\t}\r\n");
      out.write("\r\n");
      out.write("\t\t}\r\n");
      out.write("\t</script>\r\n");
      out.write("</body>\r\n");
      out.write("</html>");
    } catch (java.lang.Throwable t) {
      if (!(t instanceof javax.servlet.jsp.SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try {
            if (response.isCommitted()) {
              out.flush();
            } else {
              out.clearBuffer();
            }
          } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
